Skip to Content
FastracDocs
API reference

List cities

GET
/b2b/region/city

Returns the cities (kota) and regencies (kabupaten) of one province.

No authentication is required. An unknown provinceId returns an empty list with the message Request successful. data not found.

Query Parameters

provinceId*integer

id from List provinces.

Response Body

Cities of the province.

application/json
  1. response
statusCode*integer
message*string
data*array<>
Example Request
curl -X GET 'https://sandbox-api.fastrac.example/b2b/region/city?provinceId=0'
Example Response
{  "statusCode": 200,  "message": "Request successful.",  "data": [    {      "id": 3171,      "name": "Kota Jakarta Pusat",      "provinceId": 31,      "cityType": "CITY"    },    {      "id": 3174,      "name": "Kota Jakarta Selatan",      "provinceId": 31,      "cityType": "CITY"    }  ]}

Was this page helpful?